Mail archive
alpine-aports

[alpine-aports] [PATCH] Add support for newer AMD Radeon cards.

From: Linus Swälas <linus.swalas_at_borderless.se>
Date: Wed, 5 Oct 2016 23:32:58 +0200

---
 main/xf86-video-amdgpu/APKBUILD | 46 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 46 insertions(+)
 create mode 100644 main/xf86-video-amdgpu/APKBUILD
diff --git a/main/xf86-video-amdgpu/APKBUILD b/main/xf86-video-amdgpu/APKBUILD
new file mode 100644
index 0000000..92b3c48
--- /dev/null
+++ b/main/xf86-video-amdgpu/APKBUILD
_at_@ -0,0 +1,46 @@
+pkgname=xf86-video-amdgpu
+pkgver=1.1.0
+pkgrel=0
+pkgdesc="AMD Rx/HDxxxx video driver"
+url="http://xorg.freedesktop.org/"
+arch="all"
+license="custom"
+subpackages="$pkgname-doc"
+depends="mesa-dri-ati"
+makedepends="xorg-server-dev libxi-dev fontsproto randrproto
+	videoproto renderproto libdrm-dev xf86driproto glproto mesa-dev
+	xineramaproto eudev-dev pixman-dev
+	"
+
+source="http://xorg.freedesktop.org/releases/individual/driver/$pkgname-$pkgver.tar.bz2
+	"
+
+prepare() {
+	cd "$srcdir"/$pkgname-$pkgver
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$srcdir"/$pkgname-$pkgver
+	export LDFLAGS="$LDFLAGS -Wl,-z,lazy"
+
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$srcdir"/$pkgname-$pkgver
+	make DESTDIR="$pkgdir" install || return 1
+	install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="89e62ee60b12f94e27ab76268bbbe778  xf86-video-amdgpu-1.1.0.tar.bz2"
+sha256sums="69f5d0ded9f4d5ce529099b6b581268e8f4dcff5608f1441d4ebc110ebc57931  xf86-video-amdgpu-1.1.0.tar.bz2"
+sha512sums="a795a048987de49a9a4809ed6efd6089c0685290b86b61156ae0766fa86934f99c8abf61ed8ca56cc215a84931b2f68431547a1a7250a09e1649c4ac8ada870e  xf86-video-amdgpu-1.1.0.tar.bz2"
-- 
2.10.0
-- 
A: Because it messes up the order in which people normally read text. 
Q: Why is top-posting such a bad thing? 
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Oct 05 2016 - 23:32:58 GMT